## EDataCalFactory EDataCalFactory — The main calendar server object |

## Functions

EDBusServer * | e_data_cal_factory_new ()

## Types and Values

#define | EDS_CALENDAR_MODULES
#define | EDS_SUBPROCESS_CAL_PATH

## Object Hierarchy

        GObject
        ╰── EDBusServer
            ╰── EDataFactory
                ╰── EDataCalFactory

## Includes

    #include <libedata-cal/libedata-cal.h>

## Description

This class handles incomming D-Bus connections and creates the EDataCal layer for server side calendars to communicate with client side ECalClient objects.

## Functions

### e_data_cal_factory_new ()

    EDBusServer *
    e_data_cal_factory_new (GCancellable *cancellable,
                            GError **error);

## Types and Values

### EDS_CALENDAR_MODULES

    #define EDS_CALENDAR_MODULES    "EDS_CALENDAR_MODULES"

This environment variable configures where the calendar factory loads its backend modules from.

### EDS_SUBPROCESS_CAL_PATH

    #define EDS_SUBPROCESS_CAL_PATH "EDS_SUBPROCESS_CAL_PATH"

This environment variable configures where the calendar factory subprocess is located in.